Changeset 36359


Ignore:
Timestamp:
2013-04-18T14:05:02+02:00 (5 years ago)
Author:
nbd
Message:

toolchain: get rid of musl version kconfig symbol overloading

Location:
trunk/toolchain/musl
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/toolchain/musl/Config.in

    r35815 r36359  
    44        prompt "musl Version" 
    55        depends on TOOLCHAINOPTS && USE_MUSL 
    6         default MUSL_VERSION_0_9_8 
     6        default MUSL_USE_VERSION_0_9_8 
    77        help 
    88          Select the version of musl you wish to use. 
    99 
    10         config MUSL_VERSION_0_9_8 
     10        config MUSL_USE_VERSION_0_9_8 
     11                select MUSL_VERSION_0_9_8 
    1112                bool "musl 0.9.8" 
    1213 
    13         config MUSL_VERSION_0_9_9 
     14        config MUSL_USE_VERSION_0_9_9 
     15                select MUSL_VERSION_0_9_9 
    1416                bool "musl 0.9.9" 
    1517 
  • trunk/toolchain/musl/Config.version

    r35815 r36359  
     1if USE_MUSL 
     2 
    13config MUSL_VERSION 
    24        string 
     
    46        default "0.9.8"       if MUSL_VERSION_0_9_8 
    57        default "0.9.9"       if MUSL_VERSION_0_9_9 
    6         default "0.9.8" 
    78 
    8 if !TOOLCHAINOPTS 
     9config MUSL_VERSION_0_9_8 
     10        default y if !TOOLCHAINOPTS 
     11        bool 
    912 
    10         config MUSL_VERSION_0_9_8 
    11                 default y if USE_MUSL 
    12                 bool 
    13  
    14         config MUSL_VERSION_0_9_9 
    15                 default y if USE_MUSL 
    16                 bool 
     13config MUSL_VERSION_0_9_9 
     14        bool 
    1715 
    1816endif 
Note: See TracChangeset for help on using the changeset viewer.